Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	5 Jul 2004 13:18:46 -0000	1.4
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+source ../../Config.sh
+
+PP_PUBLIC_INCLUDES="gettext-runtime/intl/libintl.h"
+
+pp_clean_local () {
+    local retval=0
+    cd gettext-runtime
+    [ -f Makefile ] && make distclean
+    cd ..
+    return 0
+}
+
+pp_build_local () {
+    local retval=0
+    cp -f /usr/share/aclocal/libtool.m4 config/m4/ \
+    && cd gettext-runtime \
+    && libtoolize --copy --force \
+    && autoreconf -i -f \
+    && ./configure \
+		--host="$HOST_SYSTEM" \
+		--prefix=/ \
+		--disable-rpath \
+		--disable-static \
+		--enable-shared \
+    && make config.h \
+    && perl -pi -e 's,^#define HAVE_SETLOCALE.*,#undef HAVE_SETLOCALE,' config.h \
+    && make all install
+    retval=$?
+    cd ..
+    return $retval
+}
+
+pp_do "$@"
Index: Makefile.am
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/Makefile.am,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- Makefile.am	5 Jul 2004 08:07:01 -0000	1.1.137.1
+++ Makefile.am	5 Jul 2004 09:01:00 -0000	1.2
@@ -17,9 +17,11 @@
 
 ## Process this file with automake to produce Makefile.in.
 
+include ../../Config.mk
+
 AUTOMAKE_OPTIONS = 1.5 gnu no-dependencies
 
-SUBDIRS = autoconf-lib-link gettext-runtime gettext-tools
+SUBDIRS = autoconf-lib-link gettext-runtime
 
 EXTRA_DIST = \
   version.sh PACKAGING ChangeLog.0 \
@@ -28,7 +30,7 @@
   config/m4/libtool.m4
 
 # Additional dependencies for configure, due to the use of autoconf --trace.
-$(srcdir)/configure: $(srcdir)/autoconf-lib-link/configure.ac $(srcdir)/gettext-runtime/configure.ac $(srcdir)/gettext-tools/configure.ac 
+$(srcdir)/configure: $(srcdir)/autoconf-lib-link/configure.ac $(srcdir)/gettext-runtime/configure.ac
 
 
 # DJGPP port.
Index: configure.ac
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/configure.ac,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- configure.ac	5 Jul 2004 08:07:01 -0000	1.1.137.1
+++ configure.ac	5 Jul 2004 09:01:00 -0000	1.2
@@ -19,7 +19,7 @@
 
 AC_PREREQ(2.57)
 AC_INIT
-AC_CONFIG_SRCDIR(gettext-tools/src/msgfmt.c)
+dnl AC_CONFIG_SRCDIR(gettext-tools/src/msgfmt.c)
 AC_CONFIG_AUX_DIR(config)
 . $srcdir/version.sh
 AM_INIT_AUTOMAKE(gettext, $VERSION_NUMBER)
@@ -34,7 +34,7 @@
 
 dnl Checks for library functions.
 
-AC_CONFIG_SUBDIRS(autoconf-lib-link gettext-runtime gettext-tools)
+AC_CONFIG_SUBDIRS(autoconf-lib-link gettext-runtime)
 
 dnl Ensure that "configure --help" lists all the command line options that
 dnl are usable with the subdir configures. Really AC_CONFIG_SUBDIRS should
@@ -44,7 +44,7 @@
 dnl Optional Features: AC_ARG_ENABLE calls
 dnl Optional Packages: AC_ARG_WITH calls
 dnl Some influential environment variables: AC_ARG_VAR calls
-esyscmd([{ cd autoconf-lib-link && autoconf --trace=AC_ARG_ENABLE:'$n([$1],[$2])' --trace=AC_ARG_WITH:'$n([$1],[$2])' --trace=AC_ARG_VAR:'$n($@)' && cd ..; cd gettext-runtime && autoconf --trace=AC_ARG_ENABLE:'$n([$1],[$2])' --trace=AC_ARG_WITH:'$n([$1],[$2])' --trace=AC_ARG_VAR:'$n($@)' && cd ..; cd gettext-tools && autoconf --trace=AC_ARG_ENABLE:'$n([$1],[$2])' --trace=AC_ARG_WITH:'$n([$1],[$2])' --trace=AC_ARG_VAR:'$n($@)' && cd ..; } | sed -e 's|.AC_ENABLE_SHARED_DEFAULT.|yes|g' -e 's|.AC_ENABLE_STATIC_DEFAULT.|yes|g' -e 's|.AC_ENABLE_FAST_INSTALL_DEFAULT.|yes|g'])
+esyscmd([{ cd autoconf-lib-link && autoconf --trace=AC_ARG_ENABLE:'$n([$1],[$2])' --trace=AC_ARG_WITH:'$n([$1],[$2])' --trace=AC_ARG_VAR:'$n($@)' && cd ..; cd gettext-runtime && autoconf --trace=AC_ARG_ENABLE:'$n([$1],[$2])' --trace=AC_ARG_WITH:'$n([$1],[$2])' --trace=AC_ARG_VAR:'$n($@)' && cd ..; } | sed -e 's|.AC_ENABLE_SHARED_DEFAULT.|yes|g' -e 's|.AC_ENABLE_STATIC_DEFAULT.|yes|g' -e 's|.AC_ENABLE_FAST_INSTALL_DEFAULT.|yes|g'])
 
 AC_CONFIG_FILES([Makefile])
 
Index: gettext-runtime/Makefile.am
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/Makefile.am,v
retrieving revision 1.1.137.1
retrieving revision 1.4
diff -u -r1.1.137.1 -r1.4
--- gettext-runtime/Makefile.am	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/Makefile.am	5 Jul 2004 09:48:41 -0000	1.4
@@ -17,172 +17,14 @@
 
 ## Process this file with automake to produce Makefile.in.
 
+include ../../../Config.mk
+
 AUTOMAKE_OPTIONS = 1.5 gnu no-dependencies
 ACLOCAL_AMFLAGS = -I m4 -I ../gettext-tools/m4 -I ../autoconf-lib-link/m4 -I ../config/m4
 
 MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= @MAKEINFO@
 
-SUBDIRS =      doc intl intl-java intl-csharp lib @SUBDIR_libasprintf@ src po man m4
-DIST_SUBDIRS = doc intl intl-java intl-csharp lib libasprintf          src po man m4
+SUBDIRS =      intl
+DIST_SUBDIRS = intl
 
 EXTRA_DIST = BUGS
-
-
-# Files installed for the user and for use by gettextize.
-
-gettextsrcdir = $(datadir)/gettext
-gettextsrc_DATA = ABOUT-NLS
-
-
-all-local: ABOUT-NLS
-
-ABOUT-NLS: $(srcdir)/doc/nls.texi $(srcdir)/doc/matrix.texi
-	rm -f $(srcdir)/ABOUT-NLS \
-	  && $(MAKEINFO) --output=$(srcdir)/ABOUT-NLS --no-header \
-	    -I $(srcdir)/doc --no-validate nls.texi
-
-
-# VMS support.
-
-config.h_vms: config.h.in ../version.sh
-	(echo '#define KEEP_CRTL_SETLOCALE 1'; echo '#include <vms_jackets.h>'; echo '#undef realpath'; \
-	 sed -e 's/#undef ENABLE_NLS$$/#define ENABLE_NLS 1/' \
-	     -e 's/#undef HAVE_ALLOCA$$/#define HAVE_ALLOCA 1/' \
-	     -e 's/#undef HAVE_DECL_STRERROR$$/#define HAVE_DECL_STRERROR 1/' \
-	     -e 's/#undef HAVE_DLFCN_H$$/#define HAVE_DLFCN_H 1/' \
-	     -e 's/#undef HAVE_ERRNO_DECL$$/#define HAVE_ERRNO_DECL 1/' \
-	     -e 's/#undef HAVE_GETCWD$$/#define HAVE_GETCWD 1/' \
-	     -e 's/#undef HAVE_GETEGID$$/#define HAVE_GETEGID 1/' \
-	     -e 's/#undef HAVE_GETEUID$$/#define HAVE_GETEUID 1/' \
-	     -e 's/#undef HAVE_GETGID$$/#define HAVE_GETGID 1/' \
-	     -e 's/#undef HAVE_GETPAGESIZE$$/#define HAVE_GETPAGESIZE 1/' \
-	     -e 's/#undef HAVE_GETUID$$/#define HAVE_GETUID 1/' \
-	     -e 's/#undef HAVE_ICONV$$/#define HAVE_ICONV 1/' \
-	     -e 's/#undef HAVE_INTTYPES_H$$/#define HAVE_INTTYPES_H 1/' \
-	     -e 's/#undef HAVE_LANGINFO_CODESET$$/#define HAVE_LANGINFO_CODESET 1/' \
-	     -e 's/#undef HAVE_LC_MESSAGES$$/#define HAVE_LC_MESSAGES 1/' \
-	     -e 's/#undef HAVE_LIMITS_H$$/#define HAVE_LIMITS_H 1/' \
-	     -e 's/#undef HAVE_LOCALE_H$$/#define HAVE_LOCALE_H 1/' \
-	     -e 's/#undef HAVE_LONG_DOUBLE$$/#define HAVE_LONG_DOUBLE 1/' \
-	     -e 's/#undef HAVE_LONG_LONG$$/#define HAVE_LONG_LONG 1/' \
-	     -e 's/#undef HAVE_MALLOC_H$$/#define HAVE_MALLOC_H 1/' \
-	     -e 's/#undef HAVE_MEMMOVE$$/#define HAVE_MEMMOVE 1/' \
-	     -e 's/#undef HAVE_MEMORY_H$$/#define HAVE_MEMORY_H 1/' \
-	     -e 's/#undef HAVE_MMAP$$/#define HAVE_MMAP 1/' \
-	     -e 's/#undef HAVE_MUNMAP$$/#define HAVE_MUNMAP 1/' \
-	     -e 's/#undef HAVE_NL_TYPES_H$$/#define HAVE_NL_TYPES_H 1/' \
-	     -e 's/#undef HAVE_POSIX_PRINTF$$/#define HAVE_POSIX_PRINTF 1/' \
-	     -e 's/#undef HAVE_PTRDIFF_T$$/#define HAVE_PTRDIFF_T 1/' \
-	     -e 's/#undef HAVE_PUTENV$$/#define HAVE_PUTENV 1/' \
-	     -e 's/#undef HAVE_READLINK$$/#define HAVE_READLINK 1/' \
-	     -e 's/#undef HAVE_SETENV$$/#define HAVE_SETENV 1/' \
-	     -e 's/#undef HAVE_SETLOCALE$$/#define HAVE_SETLOCALE 1/' \
-	     -e 's/#undef HAVE_STDBOOL_H$$/#define HAVE_STDBOOL_H 1/' \
-	     -e 's/#undef HAVE_STDDEF_H$$/#define HAVE_STDDEF_H 1/' \
-	     -e 's/#undef HAVE_STDLIB_H$$/#define HAVE_STDLIB_H 1/' \
-	     -e 's/#undef HAVE_STRCASECMP$$/#define HAVE_STRCASECMP 1/' \
-	     -e 's/#undef HAVE_STRDUP$$/#define HAVE_STRDUP 1/' \
-	     -e 's/#undef HAVE_STRERROR$$/#define HAVE_STRERROR 1/' \
-	     -e 's/#undef HAVE_STRINGS_H$$/#define HAVE_STRINGS_H 1/' \
-	     -e 's/#undef HAVE_STRING_H$$/#define HAVE_STRING_H 1/' \
-	     -e 's/#undef HAVE_STRTOUL$$/#define HAVE_STRTOUL 1/' \
-	     -e 's/#undef HAVE_SYS_PARAM_H$$/#define HAVE_SYS_PARAM_H 1/' \
-	     -e 's/#undef HAVE_SYS_STAT_H$$/#define HAVE_SYS_STAT_H 1/' \
-	     -e 's/#undef HAVE_SYS_TYPES_H$$/#define HAVE_SYS_TYPES_H 1/' \
-	     -e 's/#undef HAVE_UNISTD_H$$/#define HAVE_UNISTD_H 1/' \
-	     -e 's/#undef HAVE_UNSETENV$$/#define HAVE_UNSETENV 1/' \
-	     -e 's/#undef HAVE_UNSIGNED_LONG_LONG$$/#define HAVE_UNSIGNED_LONG_LONG 1/' \
-	     -e 's/#undef HAVE_VPRINTF$$/#define HAVE_VPRINTF 1/' \
-	     -e 's/#undef HAVE_WCHAR_T$$/#define HAVE_WCHAR_T 1/' \
-	     -e 's/#undef HAVE_WCSLEN$$/#define HAVE_WCSLEN 1/' \
-	     -e 's/#undef HAVE_WINT_T$$/#define HAVE_WINT_T 1/' \
-	     -e 's/#undef HAVE_WPRINTF$$/#define HAVE_WPRINTF 1/' \
-	     -e 's/#undef ICONV_CONST$$/#define ICONV_CONST/' \
-	     -e 's/#undef MALLOC_0_IS_NONNULL$$/#define MALLOC_0_IS_NONNULL 0/' \
-	     -e 's/#undef STDC_HEADERS$$/#define STDC_HEADERS 1/' \
-	     -e 's/#undef realpath$$/#define realpath rpl_realpath/' \
-	     -e 's/#undef uintmax_t$$/#define uintmax_t unsigned long long/' \
-	     -e 's/#undef PACKAGE$$/#define PACKAGE "gettext-runtime"/' \
-	     -e 's/#undef VERSION$$/#define VERSION "$(VERSION)"/' \
-	   < $(srcdir)/config.h.in; echo; echo '#define alloca __ALLOCA') > $@
-# vms_jackets.h is a header that comes with Compaq's "porting library".
-# KEEP_CRTL_SETLOCALE tells it to not override the native locale support.
-
-intl/libgnuintl.h_vms: intl/libgnuintl.h.in
-	sed -e 's,@''HAVE_POSIX_PRINTF''@,1,g ' \
-	    -e 's,@''HAVE_ASPRINTF''@,0,g' \
-	    -e 's,@''HAVE_SNPRINTF''@,0,g' \
-	    -e 's,@''HAVE_WPRINTF''@,1,g' \
-	  < $(srcdir)/intl/libgnuintl.h.in > $@
-
-all-local: intl/libgnuintl.h_vms
-
-EXTRA_DIST += Makefile.vms config.h_vms
-
-
-# Woe32 support.
-
-config.h.msvc: config.h.in ../version.sh
-	sed -e 's/#undef ENABLE_NLS$$/#define ENABLE_NLS 1/' \
-	    -e 's/#undef ENABLE_RELOCATABLE$$/#define ENABLE_RELOCATABLE 1/' \
-	    -e 's/#undef HAVE_ALLOCA$$/#define HAVE_ALLOCA 1/' \
-	    -e 's/#undef HAVE_DECL_STRERROR$$/#define HAVE_DECL_STRERROR 1/' \
-	    -e 's/#undef HAVE_DECL__SNPRINTF$$/#define HAVE_DECL__SNPRINTF 1/' \
-	    -e 's/#undef HAVE_DECL__SNWPRINTF$$/#define HAVE_DECL__SNWPRINTF 1/' \
-	    -e 's/#undef HAVE_ENVIRON_DECL$$/#define HAVE_ENVIRON_DECL 1/' \
-	    -e 's/#undef HAVE_ERRNO_DECL$$/#define HAVE_ERRNO_DECL 1/' \
-	    -e 's/#undef HAVE_GETCWD$$/#define HAVE_GETCWD 1/' \
-	    -e 's/#undef HAVE_ICONV$$/#define HAVE_ICONV 1/' \
-	    -e 's/#undef HAVE_LIMITS_H$$/#define HAVE_LIMITS_H 1/' \
-	    -e 's/#undef HAVE_LOCALE_H$$/#define HAVE_LOCALE_H 1/' \
-	    -e 's/#undef HAVE_LONG_DOUBLE$$/#define HAVE_LONG_DOUBLE 1/' \
-	    -e 's/#undef HAVE_MEMMOVE$$/#define HAVE_MEMMOVE 1/' \
-	    -e 's/#undef HAVE_PTRDIFF_T$$/#define HAVE_PTRDIFF_T 1/' \
-	    -e 's/#undef HAVE_PUTENV$$/#define HAVE_PUTENV 1/' \
-	    -e 's/#undef HAVE_SETLOCALE$$/#define HAVE_SETLOCALE 1/' \
-	    -e 's/#undef HAVE_SNPRINTF$$/#define HAVE_SNPRINTF 1/' \
-	    -e 's/#undef HAVE_STDDEF_H$$/#define HAVE_STDDEF_H 1/' \
-	    -e 's/#undef HAVE_STDLIB_H$$/#define HAVE_STDLIB_H 1/' \
-	    -e 's/#undef HAVE_STRDUP$$/#define HAVE_STRDUP 1/' \
-	    -e 's/#undef HAVE_STRERROR$$/#define HAVE_STRERROR 1/' \
-	    -e 's/#undef HAVE_STRING_H$$/#define HAVE_STRING_H 1/' \
-	    -e 's/#undef HAVE_STRTOUL$$/#define HAVE_STRTOUL 1/' \
-	    -e 's/#undef HAVE_SYS_STAT_H$$/#define HAVE_SYS_STAT_H 1/' \
-	    -e 's/#undef HAVE_SYS_TYPES_H$$/#define HAVE_SYS_TYPES_H 1/' \
-	    -e 's/#undef HAVE_VPRINTF$$/#define HAVE_VPRINTF 1/' \
-	    -e 's/#undef HAVE_WCHAR_T$$/#define HAVE_WCHAR_T 1/' \
-	    -e 's/#undef HAVE_WCSLEN$$/#define HAVE_WCSLEN 1/' \
-	    -e 's/#undef HAVE_WINT_T$$/#define HAVE_WINT_T 1/' \
-	    -e 's/#undef HAVE_WPRINTF$$/#define HAVE_WPRINTF 1/' \
-	    -e 's/#undef ICONV_CONST$$/#define ICONV_CONST const/' \
-	    -e 's/#undef MALLOC_0_IS_NONNULL$$/#define MALLOC_0_IS_NONNULL 1/' \
-	    -e 's/#undef SIZE_MAX$$/#define SIZE_MAX 2147483647U/' \
-	    -e 's/#undef STACK_DIRECTION$$/#define STACK_DIRECTION -1/' \
-	    -e 's/#undef STDC_HEADERS$$/#define STDC_HEADERS 1/' \
-	    -e 's/#undef inline$$/#define inline __inline/' \
-	    -e 's/#undef ssize_t$$/#define ssize_t int/' \
-	    -e 's/#undef uintmax_t$$/#define uintmax_t unsigned long/' \
-	    -e 's/#undef PACKAGE$$/#define PACKAGE "gettext-runtime"/' \
-	    -e 's/#undef VERSION$$/#define VERSION "$(VERSION)"/' \
-	    -e '/#undef INSTALLPREFIX$$/d' \
-	  < $(srcdir)/config.h.in > $@
-
-intl/libgnuintl.h.msvc-static: intl/libgnuintl.h.in
-	sed -e 's,@''HAVE_POSIX_PRINTF''@,0,g ' \
-	    -e 's,@''HAVE_ASPRINTF''@,0,g' \
-	    -e 's,@''HAVE_SNPRINTF''@,0,g' \
-	    -e 's,@''HAVE_WPRINTF''@,1,g' \
-	  < $(srcdir)/intl/libgnuintl.h.in > $@
-
-intl/libgnuintl.h.msvc-shared: intl/libgnuintl.h.in windows/dllexport.h
-	sed -e 's,@''HAVE_POSIX_PRINTF''@,0,g ' \
-	    -e 's,@''HAVE_ASPRINTF''@,0,g' \
-	    -e 's,@''HAVE_SNPRINTF''@,0,g' \
-	    -e 's,@''HAVE_WPRINTF''@,1,g' \
-	    -e 's/extern \([^"]\)/extern LIBINTL_DLL_EXPORTED \1/' \
-	    -e '/#define _LIBINTL_H/r windows/dllexport.h' \
-	  < $(srcdir)/intl/libgnuintl.h.in > $@
-
-all-local: intl/libgnuintl.h.msvc-static intl/libgnuintl.h.msvc-shared
-
-EXTRA_DIST += README.woe32 Makefile.msvc config.h.msvc windows/dllexport.h windows/intl.rc
Index: gettext-runtime/config.h.in
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/config.h.in,v
retrieving revision 1.1.137.1
diff -u -r1.1.137.1 config.h.in
--- gettext-runtime/config.h.in	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/config.h.in	24 May 2005 14:36:38 -0000
@@ -5,12 +5,6 @@
    */
 #undef CRAY_STACKSEG_END
 
-/* Define if mono is the preferred C[#] implementation. */
-#undef CSHARP_CHOICE_MONO
-
-/* Define if pnet is the preferred C[#] implementation. */
-#undef CSHARP_CHOICE_PNET
-
 /* Define to 1 if using `alloca.c'. */
 #undef C_ALLOCA
 
Index: gettext-runtime/configure.ac
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/configure.ac,v
retrieving revision 1.1.137.1
retrieving revision 1.3
diff -u -r1.1.137.1 -r1.3
--- gettext-runtime/configure.ac	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/configure.ac	5 Jul 2004 09:08:36 -0000	1.3
@@ -35,21 +35,10 @@
 AC_PROG_INSTALL
 AC_PROG_YACC
 
-gt_JAVACOMP
-AC_CHECK_PROG(JAR, jar, jar)
-if test -n "$HAVE_JAVACOMP" && test -n "$JAR"; then
-  BUILDJAVA=yes
-else
-  BUILDJAVA=no
-fi
+BUILDJAVA=no
 AC_SUBST(BUILDJAVA)
 
-gt_CSHARPCOMP
-if test -n "$HAVE_CSHARPCOMP" && test "$CSHARP_CHOICE" != no; then
-  BUILDCSHARP=yes
-else
-  BUILDCSHARP=no
-fi
+BUILDCSHARP=no
 AC_SUBST(BUILDCSHARP)
 
 dnl Check for host type.
@@ -125,46 +114,8 @@
 dnl Checks for optional programs for the tests/lang-* tests.
 gt_PROG_ANSI_CXX
 
-dnl Determine whether to build libasprintf.
-AC_ARG_ENABLE(libasprintf,
-  [  --disable-libasprintf   do not build libasprintf],
-  [if test "$enableval" != no; then
-     SUBDIR_libasprintf=libasprintf
-   else
-     SUBDIR_libasprintf=
-   fi
-  ], SUBDIR_libasprintf=libasprintf)
-if test "$CXX" = ":"; then
-  SUBDIR_libasprintf=
-fi
-AC_SUBST(SUBDIR_libasprintf)
-
-AC_CONFIG_SUBDIRS(libasprintf)
-
 AC_CONFIG_FILES([Makefile])
 
-AC_CONFIG_FILES([doc/Makefile])
-
 AC_CONFIG_FILES([intl/Makefile])
 
-AC_CONFIG_FILES([intl-java/Makefile])
-
-AC_CONFIG_FILES([intl-csharp/Makefile])
-
-AC_CONFIG_FILES([lib/Makefile],
-                [FIX_MAKEFILE_COMPILE])
-AC_CONFIG_FILES([lib/javacomp.sh:../gettext-tools/lib/javacomp.sh.in])
-AC_CONFIG_FILES([lib/csharpcomp.sh:../gettext-tools/lib/csharpcomp.sh.in])
-
-AC_CONFIG_FILES([src/Makefile],
-                [FIX_MAKEFILE_COMPILE])
-
-AC_CONFIG_FILES([po/Makefile.in])
-
-AC_CONFIG_FILES([man/Makefile],
-                [FIX_MAKEFILE_DISTRIB])
-AC_CONFIG_FILES([man/x-to-1])
-
-AC_CONFIG_FILES([m4/Makefile])
-
 AC_OUTPUT
Index: gettext-runtime/intl/dcigettext.c
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/intl/dcigettext.c,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- gettext-runtime/intl/dcigettext.c	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/intl/dcigettext.c	12 Jul 2004 09:48:51 -0000	1.2
@@ -610,7 +610,7 @@
       if (strcmp (single_locale, "C") == 0
 	  || strcmp (single_locale, "POSIX") == 0)
 	break;
-
+	
       /* Find structure describing the message catalog matching the
 	 DOMAINNAME and CATEGORY.  */
       domain = _nl_find_domain (dirname, single_locale, xdomainname, binding);
@@ -1217,3 +1217,140 @@
     }
 }
 #endif
+
+/* thre */
+char *
+internal_function
+_nl_get_charset (struct loaded_l10nfile *domain_file)
+{
+  struct loaded_domain *domain;
+  
+  if (domain_file->data == NULL)
+    return NULL;
+
+  domain = (struct loaded_domain *) domain_file->data;
+  
+  return domain->charset;
+}
+
+char *
+getcharset()
+{
+  const char *domainname = _nl_current_default_domain;
+  struct loaded_l10nfile *domain;
+  char *dirname;
+  char *xdomainname = NULL;
+  int free_dirname = 0;
+  char *single_locale = NULL;
+  struct binding *binding;
+  const char *categoryname;
+  const char *categoryvalue;
+  size_t domainname_len;
+  
+  char *retval = NULL;
+  
+  __libc_rwlock_rdlock (_nl_state_lock);
+
+  /* First find matching binding.  */
+  for (binding = _nl_domain_bindings; binding != NULL; binding = binding->next)
+    {
+      int compare = strcmp (domainname, binding->domainname);
+      if (compare == 0)
+	/* We found it!  */
+	break;
+      if (compare < 0)
+	{
+	  /* It is not in the list.  */
+	  binding = NULL;
+	  break;
+	}
+    }
+
+  if (binding == NULL)
+    dirname = (char *) INTUSE(_nl_default_dirname);
+  else if (IS_ABSOLUTE_PATH (binding->dirname))
+    dirname = binding->dirname;
+  else {
+    /* We have a relative path.  Make it absolute now.  */
+    size_t dirname_len = strlen (binding->dirname) + 1;
+    size_t path_max;
+    char *ret;
+
+    path_max = (unsigned int) PATH_MAX;
+    path_max += 2;		/* The getcwd docs say to do this.  */
+
+    dirname = (char *) malloc (path_max + dirname_len);
+    free_dirname = 1;
+
+    ret = getcwd (dirname, path_max);
+
+    if (ret == NULL)
+      /* We cannot get the current working directory.  Don't signal an
+	 error but simply return the default string.  */
+      goto bail;
+
+    stpcpy (stpcpy (strchr (dirname, '\0'), "/"), binding->dirname);
+  }
+
+  /* Now determine the symbolic name of CATEGORY and its value.  */
+  categoryname = category_to_name (LC_MESSAGES);
+  categoryvalue = guess_category_value (LC_MESSAGES, categoryname);
+
+  domainname_len = strlen (domainname);
+  xdomainname = (char *) malloc (strlen (categoryname)
+				 + domainname_len + 5);
+
+  stpcpy (mempcpy (stpcpy (stpcpy (xdomainname, categoryname), "/"),
+		  domainname, domainname_len),
+	  ".mo");
+
+  /* Creating working area.  */
+  single_locale = (char *) malloc (strlen (categoryvalue) + 1);
+
+
+  /* Make CATEGORYVALUE point to the next element of the list.  */
+  while (categoryvalue[0] != '\0' && categoryvalue[0] == ':') {
+    ++categoryvalue;
+  }
+  if (categoryvalue[0] == '\0') {
+    /* The whole contents of CATEGORYVALUE has been searched but
+       no valid entry has been found.  We solve this situation
+       by implicitly appending a "C" entry, i.e. no translation
+       will take place.  */
+    single_locale[0] = 'C';
+    single_locale[1] = '\0';
+  }
+  else {
+    char *cp = single_locale;
+    while (categoryvalue[0] != '\0' && categoryvalue[0] != ':') {
+      *cp++ = *categoryvalue++;
+    }
+    *cp = '\0';
+  }
+
+  /* If the current locale value is C (or POSIX) we don't load a
+     domain.  Return the MSGID.  */
+  if (strcmp (single_locale, "C") == 0
+      || strcmp (single_locale, "POSIX") == 0) {
+    goto bail;
+  }
+	
+  /* Find structure describing the message catalog matching the
+     DOMAINNAME and CATEGORY.  */
+  domain = _nl_find_domain (dirname, single_locale, xdomainname, binding);
+  
+  if(domain == NULL) {
+    goto bail;
+  }
+  
+  retval = _nl_get_charset(domain);
+  
+bail:
+  if(free_dirname) free(dirname);
+  if(xdomainname) free(xdomainname);
+  if(single_locale) free(single_locale);
+  
+  __libc_rwlock_unlock (_nl_state_lock);
+  
+  return retval;
+}
Index: gettext-runtime/intl/gettextP.h
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/intl/gettextP.h,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- gettext-runtime/intl/gettextP.h	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/intl/gettextP.h	12 Jul 2004 09:48:51 -0000	1.2
@@ -124,6 +124,9 @@
 
   struct expression *plural;
   unsigned long int nplurals;
+  
+  /* thre: pointer to the charset */
+  char charset[51];
 };
 
 /* We want to allocate a string at the end of the struct.  But ISO C
@@ -175,6 +178,9 @@
 		    size_t *lengthp)
      internal_function;
 
+char *_nl_get_charset (struct loaded_l10nfile *domain_file)
+     internal_function;
+
 #ifdef _LIBC
 extern char *__gettext (const char *__msgid);
 extern char *__dgettext (const char *__domainname, const char *__msgid);
Index: gettext-runtime/intl/libgnuintl.h.in
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/intl/libgnuintl.h.in,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- gettext-runtime/intl/libgnuintl.h.in	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/intl/libgnuintl.h.in	21 Jul 2004 12:47:42 -0000	1.2
@@ -375,6 +375,7 @@
        libintl_set_relocation_prefix (const char *orig_prefix,
 				      const char *curr_prefix);
 
+char * getcharset();
 
 #ifdef __cplusplus
 }
Index: gettext-runtime/intl/loadmsgcat.c
===================================================================
RCS file: /srv/CVS/pp_shared/gettext/gettext-runtime/intl/loadmsgcat.c,v
retrieving revision 1.1.137.1
retrieving revision 1.2
diff -u -r1.1.137.1 -r1.2
--- gettext-runtime/intl/loadmsgcat.c	5 Jul 2004 08:07:02 -0000	1.1.137.1
+++ gettext-runtime/intl/loadmsgcat.c	12 Jul 2004 09:48:51 -0000	1.2
@@ -791,13 +791,15 @@
 # endif
 #endif
   domain->conv_tab = NULL;
+  
+  domain->charset[0] = '\0';
 
   /* Get the header entry.  */
   nullentry = _nl_find_msg (domain_file, domainbinding, "", &nullentrylen);
 
   if (nullentry != NULL)
     {
-#if defined _LIBC || HAVE_ICONV
+#if 1 ||defined _LIBC || HAVE_ICONV
       const char *charsetstr;
 
       charsetstr = strstr (nullentry, "charset=");
@@ -817,6 +819,7 @@
 	  memcpy (charset, charsetstr, len);
 	  charset[len] = '\0';
 # endif
+          strncpy(domain->charset, charset, sizeof(domain->charset) - 1);
 
 	  /* The output charset should normally be determined by the
 	     locale.  But sometimes the locale is not used or not correctly
